%define name vile 
%define version 9.5q
%define release %mkrel 1

Summary: Vi compatible text editor 
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Editors
Source: ftp://invisible-island.net/vile/%{name}-9.5.tar.bz2
Patch0: vile-9.5a.patch
Patch1: vile-9.5b.patch
Patch2: vile-9.5c.patch
Patch3: vile-9.5d.patch
Patch4: vile-9.5e.patch
Patch5: vile-9.5f.patch
Patch6: vile-9.5g.patch
Patch7: vile-9.5h.patch
Patch8: vile-9.5i.patch
Patch9: vile-9.5j.patch
Patch10: vile-9.5k.patch
Patch11: vile-9.5l.patch
Patch12: vile-9.5m.patch
Patch13: vile-9.5n.patch
Patch14: vile-9.5o.patch
Patch15: vile-9.5p.patch
Patch16: vile-9.5q.patch
Patch17: vile-9.5-varargs.patch
Patch18: vile-9.5-64bit-fixes.patch
BuildRequires:	flex ncurses-devel
BuildRoot:%{_tmppath}/%{name}-build-%{version}
URL: http://invisible-island.net/vile/

%description
vile is a text editor which is extremely compatible with vi in terms
of "finger feel".  in addition, it has extended capabilities in many areas,
notably multi-file editing and viewing, key rebinding, real X window
system support, an optional embedded perl interpreter, and robust
support for non-Unix hosts.

%prep
%setup -q -n %{name}-9.5
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1 -b .varargs
%patch18 -p1 -b .64bit-fixes

%build
%configure
%make prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#(peroyvind) remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}.hlp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README doc/*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_libdir}/%{name}


%changelog
* Thu May 31 2007 Adam Williamson <awilliamson@mandriva.com> 9.5q-1mdv2008.0
+ Revision: 33280
- fix patch
- correct URL
- adapt patch from Trent Piepho to fix #22226 (install location)
- reorder patches, rediff varargs patch
- update to patch level Q
- Import vile



* Tue Aug 23 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 9.5-2mdk
- varargs & 64-bit fixes

* Thu Aug 18 2005 Daouda LO <daouda@mandriva.com> 9.5-1mdk
- 9.5
- several new majormodes, with corresponding syntax filters 
  (jsp, nmakemode, lispmode ...)

* Wed Dec 17 2003 Daouda LO <daouda@mandrakesoft.com> 9.4-1mdk
- 9.4 

* Thu Jun 05 2003 Per yvind Karlsen <peroyvind@sintrax.net> 9.3-2mdk
- fix unpackaged files
- macroize

* Fri Jul  5 2002 Daouda LO <daouda@mandrakesoft.com> 9.3-1mdk
- 9.3
- patches streamlined

* Thu Apr 11 2002 Daouda LO <daouda@mandrakesoft.com> 9.2-11mdk
- release: patch n <-> z

* Sun Sep 09 2001 Stefan van der Eijk <stefan@eijk.nu> 9.2-10mdk
- BuildRequires: flex ncurses-devel

* Thu Jun 14 2001 Daouda Lo <daouda@mandrakesoft.com> 9.2-9mdk
- release : patch n

* Fri May  25 2001  Daouda Lo <daouda@mandrakesoft.com> 9.2-8mdk
- release: applied patch j to m

* Tue Mar  6 2001  Daouda Lo <daouda@mandrakesoft.com> 9.2-7mdk
- release: applied patch i

* Mon Feb 26 2001  Daouda Lo <daouda@mandrakesoft.com> 9.2-6mdk
- 9.2e -> 9.2h patches applied 

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 9.2-5mdk
- fix group (thx yves)

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 9.2-4mdk
- rebuild
- add url

* Thu Dec  7 2000  Daouda Lo<daouda@mandrakesoft.com> 9.2-3mdk
- 9.2d (bug fixes + cleanup)

* Thu Nov 16 2000 Daouda Lo <daouda@mandrakesoft.com> 9.2-2mdk
- 9.2c release (3 patches to 9.2)
- more macros 
- fixed package that owned standard dir.
- gcc 2.96 build

* Fri Oct 27 2000 Daouda Lo <daouda@mandrakesoft.com> 9.2-1mdk
- new release

* Thu Sep 28 2000 Florin Grad <florin@mandrakesoft.com> 9.1-1mdk
- first attempt
